EscapeQuerySyntaxImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.standard.parser.EscapeQuerySyntaxImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.parser
Class EscapeQuerySyntaxImpl

    java.lang.Object
      org.apache.lucene.queryParser.standard.parser.EscapeQuerySyntaxImpl

All Implemented Interfaces:
  EscapeQuerySyntax

    public class EscapeQuerySyntaxImpl

extends Object
implements EscapeQuerySyntax

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.queryParser.core.parser.EscapeQuerySyntax
`EscapeQuerySyntax.Type`

Constructor Summary
`EscapeQuerySyntaxImpl()`

Method Summary
`static UnescapedCharSequence` | `discardEscapeChar(CharSequence input)` Returns a String where the escape char has been removed, or kept only once if there was a double escape.
`CharSequence` | `escape(CharSequence text, Locale locale, EscapeQuerySyntax.Type type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscapeQuerySyntaxImpl

    public EscapeQuerySyntaxImpl()

Method Detail

### escape

    public CharSequence escape(CharSequence text,
                               Locale locale,
                               EscapeQuerySyntax.Type type)

  Specified by:
    `escape` in interface `EscapeQuerySyntax`
  Parameters:
    `text` - - text to be escaped
    `locale` - - locale for the current query
    `type` - - select the type of escape operation to use
  Returns:
    escaped text

### discardEscapeChar

    public static UnescapedCharSequence discardEscapeChar(CharSequence input)
                                                   throws ParseException

  Returns a String where the escape char has been removed, or kept only once if there was a double escape. Supports escaped unicode characters, e. g. translates `A` to `A`.

  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD